local AddonName, AddonTable = ...
local L = AddonTable.Localize
local AddonTitle = select(2, GetAddOnInfo(AddonName))
local PlainAddonTitle = AddonTitle:gsub("|c........", ""):gsub("|r", "")

local AHRFrame = CreateFrame("Frame")
AHRFrame:RegisterEvent("AUCTION_HOUSE_SHOW")
AHRFrame:RegisterEvent("AUCTION_HOUSE_CLOSED")

local AHRButtonLoaded = false

local function AHREventHandler(self, event, arg1)
    if not AHRButtonLoaded and event == "AUCTION_HOUSE_SHOW" then
        local btnAHReset = CreateFrame("Button", nil, AuctionFrameBrowse, "UIPanelButtonTemplate")
        btnAHReset:SetSize(50,24)
        btnAHReset:SetPoint("LEFT", BrowseTabText, "RIGHT", 33, 1)
        btnAHReset:SetScript("OnClick", function(frame) resetAH() end)
        btnAHReset:SetText("Reset")
        AHRButtonLoaded = true
		
		btnAHReset:SetScript("OnEnter", function(self)
			if GetLocale() ~= "enUS" then
				GameTooltip:SetOwner(self, "ANCHOR_TOP")
				GameTooltip:AddLine(L["Reset"], 1, 1, 1)
				GameTooltip:Show()
			end
		end)
    end
end

AHRFrame:SetScript("OnEvent", AHREventHandler)

function resetAH()
	
	if (AuctionFrameBrowse.selectedCategoryIndex == 1) then
		AuctionFilterButton1:Click()
	else
		AuctionFilterButton1:Click()
		AuctionFilterButton1:Click()
    end
	
	BrowseName:SetText("")
	BrowseMinLevel:SetText("")
	BrowseMaxLevel:SetText("")
	
	DropDownList1Button1:Click()
	
	if IsUsableCheckButton:GetChecked() == true then IsUsableCheckButton:SetChecked(false) end
	if ShowOnPlayerCheckButton:GetChecked() == true then ShowOnPlayerCheckButton:SetChecked(false) end
end